Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Problem installing LTT V4.5 for OVMS V7.3-2

 
SOLVED
Go to solution
David Huizar
Occasional Advisor

Problem installing LTT V4.5 for OVMS V7.3-2

I'm having a problem running the product install file HP-AXPVMS-LTT-V0405-0-1.PCSI.

The errors are:
$prod install ltt

%PCSI-E-READERR, error reading $1$DISK:[LTT_0405]$HP-AXPVMS-LTT-V0405-0-1.PCSI;2

-PCSI-E-INVDOCSTR, internal error - product document has invalid domain structure

%PCSI-E-S_OPFAIL, operation failed
%PCSIUI-E-ABORT, operation terminated due to an unrecoverable error condition

----------
I downloaded the file from HP to my local PC and SFTP over to the OVMS Server. There were no problems with the transfer and the file looks okay with 51728 blocks.

I tried it again and set the transfer mode to binary, but I get the same errors.

Any ideas?
6 REPLIES 6
David Huizar
Occasional Advisor

Re: Problem installing LTT V4.5 for OVMS V7.3-2

The PCSI version is below:

$ product show util
POLYCENTER Software Installation utility version: V8.2-123
Product Configuration File (PCF) support level: 1
Product Description File (PDF) support level: 9
Product Text File (PTF) support level: 2
Steven Schweda
Honored Contributor
Solution

Re: Problem installing LTT V4.5 for OVMS V7.3-2

Binary FTP sounds better than ASCII, but you
probably lost the file attributes along the
way.

DIRE /FULL HP-AXPVMS-LTT-V0405-0-1.PCSI

If it doesn't say things like these, you may
benefit from some SET FILE /ATTR action:

Record format: Fixed length 8192 byte records

Usually, .PCSI files are protected by
enclosure in a Zip archive (or some similar
protective package), avoiding this sort of
problem. (Assuming that you UnZip the thing
on a VMS system.)
Steven Schweda
Honored Contributor

Re: Problem installing LTT V4.5 for OVMS V7.3-2

Ah. Assuming that you sucked the thing down
from some place like:

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareIndex.jsp?lang=en&cc=us&prodNameId=406731&prodTypeId=12169&prodSeriesId=406729&swLang=13&taskId=135&swEnvOID=4007

then yes, you get it raw, and the attributes
will certainly be wrong, at least after
passage through Windows and SFTP. I'd guess:

SET FILE /ATTR = (RFM:FIX, LRL:8192)
Steven Schweda
Honored Contributor

Re: Problem installing LTT V4.5 for OVMS V7.3-2

Hmmm. On the other hand, I seem to have the
same PCSI version as you, and mine seems to
repair the file attributes as needed all by
itself. 51728 blocks sounds right, but it
sounds as if someone was molesting the bytes
as they passed through. Any reason you can't
download the thing directly to the VMS
system? (Wget worked for me.)
David Huizar
Occasional Advisor

Re: Problem installing LTT V4.5 for OVMS V7.3-2

Steven,

You had the correct answer. The attributes were being stripped off.

To correct I zipped the downloaded PCSI file, set my sftp to binary, then sftp the file to the OVMS server.

It installed correctly.

Great Work! Thanks

David
David Huizar
Occasional Advisor

Re: Problem installing LTT V4.5 for OVMS V7.3-2

Posted fix on the previous reply. Steven, you get points from me!